<?php

function themeStarter_setup()
{

  /*
   * Make theme available for translation.
   * Translations can be filed in the /languages/ directory.
   */

  load_theme_textdomain('themeStarter', get_template_directory() . '/languages');

  // Add default posts and comments RSS feed links to head.
  add_theme_support('automatic-feed-links');

  /*
   * Let WordPress manage the document title.
   */
  add_theme_support('title-tag');

  /*
   * Enable support for Post Thumbnails on posts and pages.
   */
  add_theme_support('post-thumbnails');
  //Support custom logo
  add_theme_support('custom-logo');

  // Add menus.
  register_nav_menus(
    array(
      'primary' => __('Primary Menu', 'themeStarter'),
      'secondary' => __('Secondary Menu', 'themeStarter'),
    )
  );

  /*
   * Switch default core markup for search form, comment form, and comments
   * to output valid HTML5.
   */

  add_theme_support(
    'html5',
    array(
      'search-form',
      'comment-form',
      'comment-list',
      'gallery',
      'caption',
      'style',
      'script'
    )
  );

  /*
   * Enable support for Post Formats.
   */

  add_theme_support(
    'post-formats',
    array(
      'aside',
      'image',
      'video',
      'quote',
      'link',
      'gallery',
      'status',
      'audio',
      'chat'
    )
  );
}

function themeStarter_init()
{
  // Use categories and tags with attachments
  register_taxonomy_for_object_type('category', 'attachment');
  register_taxonomy_for_object_type('post_tag', 'attachment');
}
